Page 1 of 1

Installation Error

PostPosted: Sun Dec 30, 2018 8:47 am
by DarkProphet2019
Hi, hoping that the community here can offer me some technical help. I am unable to install Adrift 5, because the installer says that I need Microsoft .NET framework 2, SP2 installed on my computer. I already have a more advanced version of the .NET framework installed (4.7.2), and for the same reason, am unable to download and install the required version of the .NET framework (it says that I already have a more recent version of the framework installed when I try to do so). Any help with this problem is deeply appreciated; I was hoping to get to work on my first game today.

Re: Installation Error

PostPosted: Mon Dec 31, 2018 3:37 pm
by P/o Prune
I wrote Campbell and presented your problem. This is the reply I got:

That must be an old check on the uninstaller, as I removed the dependency of .Net 2.0. Is have thought it could just be skipped.

He continued:
*I’d


I'm afraid he must have been cut off for some reason. I have written him again and hopefully he will come up with a clearer answer soon. :?

Re: Installation Error

PostPosted: Wed Jan 02, 2019 1:10 am
by DarkProphet2019
Thanks a bunch. I have been taking advantage of the time to dive into the manual before I get into anything else. I am really impressed with what I see here; it looks like an amazing engine.

Re: Installation Error

PostPosted: Wed Jan 02, 2019 5:52 am
by DarkProphet2019
UPDATE: I was able to back-door things on the .NET 2.0 installation side, so I was able to install the Developer successfully, once I got .NET 2.0 to install successfully. However, this may be something that wants looking into for future, in case other people run into the same problem; who knows how long it will be before a Windows system no longer even recognizes or knows what to do with the 2.0 framework?

Re: Installation Error

PostPosted: Wed Jan 02, 2019 12:48 pm
by Lazzah
DarkProphet2019 wrote:UPDATE: I was able to back-door things on the .NET 2.0 installation side, so I was able to install the Developer successfully, once I got .NET 2.0 to install successfully. However, this may be something that wants looking into for future, in case other people run into the same problem; who knows how long it will be before a Windows system no longer even recognizes or knows what to do with the 2.0 framework?

Glad to hear you got it sorted out, we look forward to seeing your first game. If you need anyone to playtest it, I am now retired and have time on my hands.

Re: Installation Error

PostPosted: Wed Jan 02, 2019 7:13 pm
by DarkProphet2019
I think I may need to scope down for my first game; this idea I started working on today is a wonderful story, but I think it is likely to be very technically challenging, and I don't want some horrific bug-fest to be the first thing that I release to the public. Of course, this does mean having to come up with a new idea that is smaller in scope and works better as a first project, but I feel like the small loss in time to come up with something new will pay great dividends both in terms of time saved having to debug the thing, and making it likely that I can actually get something out before the NEXT New Year rolls around, LOL.

Re: Installation Error

PostPosted: Wed Jan 02, 2019 9:08 pm
by Lazzah
If you are a novice at using ADRIFT then you would be well advised to start with something small which can be quickly playtested to iron out the bugs. Once you have mastered the basics you can then make your next effort a bit more complicated.

Re: Installation Error

PostPosted: Fri Jan 04, 2019 3:19 pm
by DarkProphet2019
Yeah, I definitely hear that. I am mulling a couple of ideas now; we will see what shakes loose.